Name:		jags
Version:	4.3.0
Release:	1%{?dist}
Summary:	Just Another Gibbs Sampler
License:	GPL+
URL:		http://mcmc-jags.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/mcmc-jags/JAGS/4.x/Source/JAGS-%{version}.tar.gz
# Taken from https://sourceforge.net/p/mcmc-jags/code-0/ci/default/tree/doc/manual/figures/halft.pdf
Source1:	halft.pdf
Patch0:		JAGS-3.4.0-fix-fsf-address.patch
Patch1:		JAGS-3.4.0-doc-fix.patch
BuildRequires:	lapack-devel, blas-devel, libtool-ltdl-devel
BuildRequires:	autoconf, automake, libtool, gcc-c++
BuildRequires:	texlive-collection-latexrecommended, tex(a4wide.sty), tex(multirow.sty)

%description
JAGS is Just Another Gibbs Sampler.  It is a program for analysis of Bayesian
hierarchical models using Markov Chain Monte Carlo (MCMC) simulation.

%package devel
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	lapack-devel, blas-devel
Summary:	Development files for jags

%description devel
Development files for jags.

%prep
%setup -q -n JAGS-%{version}
%patch0 -p0
%patch1 -p1 -b .docfix

cp -a %{SOURCE1} doc/manual/figures/
autoreconf -ifv .

%build
%configure
make %{?_smp_mflags}
make %{?_smp_mflags} docs

%install
make install DESTDIR=%{buildroot}
rm -rf src/terminal/.libs
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS README
%doc doc/manual/jags_user_manual.pdf
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/jags
%{_libdir}/JAGS/
%{_libdir}/libjags.so.*
%{_libdir}/libjrmath.so.*
%{_libexecdir}/jags-terminal
%{_mandir}/man1/jags.1.*

%files devel
%doc doc/manual/jags_developer_manual.pdf
%{_includedir}/JAGS/
%{_libdir}/libjags.so
%{_libdir}/libjrmath.so
%{_libdir}/pkgconfig/jags.pc

%changelog
* Fri Jul 10 2020 Tom Callaway <spot@fedoraproject.org> - 4.3.0-1
- update to 4.3.0

* Thu Dec 11 2014 Tom Callaway <spot@fedoraproject.org> - 3.4.0-1
- initial Fedora packaging
